<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <InvariantGlobalization>false</InvariantGlobalization>
    <UserSecretsId>2b1d369c-a1e3-48bb-a35f-1b43b4e6c067</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Azure.Storage.Blobs" Version="12.20.0" />
    <PackageReference Include="DevExpress.AspNetCore.Reporting" Version="24.1.6" />
    <PackageReference Include="dotenv.net" Version="3.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="8.0.8" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.1">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="8.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.19.5" />
    <PackageReference Include="Moq" Version="4.20.72" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\MTWorkHR.Application\MTWorkHR.Application.csproj" />
    <ProjectReference Include="..\MTWorkHR.Infrastructure\MTWorkHR.Infrastructure.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Reports\ProjectStages.cs" />
    <Compile Update="Reports\ContractTasks.cs" />
    <Compile Update="Reports\ContractReport.cs" />
    <Compile Update="Reports\ContractAllowances.cs" />
  </ItemGroup>

</Project>
